Skip to main content
GET
/
1
/
sources
/
{sourceID}
curl
curl --request GET \
  --url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "createdAt": "<string>",
  "name": "<string>",
  "sourceID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "updatedAt": "<string>",
  "authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "input": {
    "projectKey": "<string>",
    "url": "<string>",
    "customFields": {
      "category": [
        "<string>"
      ],
      "inventory": [
        "<string>"
      ],
      "price": [
        "<string>"
      ]
    },
    "fallbackIsInStockValue": true,
    "locales": [
      "fr-FR"
    ],
    "productQueryPredicate": "<string>",
    "storeKeys": [
      "<string>"
    ],
    "useImagesObjects": true
  },
  "owner": "<string>"
}
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

sourceID
string
required

Unique identifier of a source. Universally uniqud identifier (UUID) of a source.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Response

OK

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

name
string
required
sourceID
string
required

Universally uniqud identifier (UUID) of a source.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

type
enum<string>
required
Available options:
algoliaIndex,
bigcommerce,
bigquery,
commercetools,
csv,
docker,
ga4BigqueryExport,
json,
shopify,
push
updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

authenticationID
string

Universally unique identifier (UUID) of an authentication resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

input
object

Specific configuration attributes of a commercetools source.

owner
string | null

Owner of the resource.

Last modified on March 23, 2026